<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::StyleManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1StyleManager.html">StyleManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1StyleManager-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::StyleManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="StyleManager_8hpp_source.html">StyleManager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a32691de57b5db9e41e9509f63465f996"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#a32691de57b5db9e41e9509f63465f996">StyleManager</a> ()=delete</td></tr>
<tr class="separator:a32691de57b5db9e41e9509f63465f996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae41f3249b4fe4a01d6d531480697f1bd"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#ae41f3249b4fe4a01d6d531480697f1bd">~StyleManager</a> ()=delete</td></tr>
<tr class="separator:ae41f3249b4fe4a01d6d531480697f1bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ab16df2ab91a2f7b66f29de323b2bfa71"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#ab16df2ab91a2f7b66f29de323b2bfa71">Init</a> ()</td></tr>
<tr class="separator:ab16df2ab91a2f7b66f29de323b2bfa71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a861aed9d6f5af123cc98a0f6f123ef02"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#a861aed9d6f5af123cc98a0f6f123ef02">Destroy</a> ()</td></tr>
<tr class="separator:a861aed9d6f5af123cc98a0f6f123ef02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2e51cc8944403787a6a39610981e357"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#aa2e51cc8944403787a6a39610981e357">GetInitialized</a> () -&gt; bool</td></tr>
<tr class="separator:aa2e51cc8944403787a6a39610981e357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3bfcf10689d8ed65187a6a1f12ac0c4"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#ac3bfcf10689d8ed65187a6a1f12ac0c4">GetNumberOfStyles</a> () -&gt; unsigned</td></tr>
<tr class="separator:ac3bfcf10689d8ed65187a6a1f12ac0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee0a3dcbe1c88029804da7692d0dcc59"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#aee0a3dcbe1c88029804da7692d0dcc59">GetStyle</a> (const std::string &amp;) -&gt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> *</td></tr>
<tr class="separator:aee0a3dcbe1c88029804da7692d0dcc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac92123c79ad681cd291c141eec7ef9bb"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1StyleManager.html#ac92123c79ad681cd291c141eec7ef9bb">AddStyle</a> (const std::string &amp;, <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>)</td></tr>
<tr class="separator:ac92123c79ad681cd291c141eec7ef9bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a32691de57b5db9e41e9509f63465f996" name="a32691de57b5db9e41e9509f63465f996"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32691de57b5db9e41e9509f63465f996">&#9670;&nbsp;</a></span>StyleManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::StyleManager::StyleManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae41f3249b4fe4a01d6d531480697f1bd" name="ae41f3249b4fe4a01d6d531480697f1bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae41f3249b4fe4a01d6d531480697f1bd">&#9670;&nbsp;</a></span>~StyleManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::StyleManager::~StyleManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac92123c79ad681cd291c141eec7ef9bb" name="ac92123c79ad681cd291c141eec7ef9bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac92123c79ad681cd291c141eec7ef9bb">&#9670;&nbsp;</a></span>AddStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::StyleManager::AddStyle </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a861aed9d6f5af123cc98a0f6f123ef02" name="a861aed9d6f5af123cc98a0f6f123ef02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a861aed9d6f5af123cc98a0f6f123ef02">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::StyleManager::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2e51cc8944403787a6a39610981e357" name="aa2e51cc8944403787a6a39610981e357"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2e51cc8944403787a6a39610981e357">&#9670;&nbsp;</a></span>GetInitialized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::StyleManager::GetInitialized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3bfcf10689d8ed65187a6a1f12ac0c4" name="ac3bfcf10689d8ed65187a6a1f12ac0c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3bfcf10689d8ed65187a6a1f12ac0c4">&#9670;&nbsp;</a></span>GetNumberOfStyles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::StyleManager::GetNumberOfStyles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aee0a3dcbe1c88029804da7692d0dcc59" name="aee0a3dcbe1c88029804da7692d0dcc59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee0a3dcbe1c88029804da7692d0dcc59">&#9670;&nbsp;</a></span>GetStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::StyleManager::GetStyle </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab16df2ab91a2f7b66f29de323b2bfa71" name="ab16df2ab91a2f7b66f29de323b2bfa71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab16df2ab91a2f7b66f29de323b2bfa71">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::StyleManager::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="StyleManager_8hpp_source.html">StyleManager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
